<?php

namespace App\Modules\Bookings;

use Illuminate\Support\Facades\View;
use App\Models\User;
use App\Models\Severity;
use Illuminate\Support\Facades\Redirect;
use App\Models\Status;
use App\Http\Controllers\BaseController;

class OrdersController extends BaseController
{
    /**
     *	The layout that should be used for responses.
     */
    protected $layout = 'layouts.master';

    /**
     *	Returns the index page.
     */
    public function getIndex($id = 0)
    {
        if (! $id) {
            return Redirect::to('/');
        }

        $order = Order::find($id);

        // Redirect back to the dashboard if the ID was not
        // found or the task is not an order.
        if (! $order or $order->type != 'order') {
            return Redirect::to('/');
        }

        $severities = [];
        foreach (Severity::all() as $severity) {
            $severities[$severity->id] = $severity->name;
        }

        $data = [
            'users'      => User::with('profile_photo')->get(),
            'severities' => $severities,
            'statuses'   => Status::orders()->get(),
            'task'       => $order,
        ];

        $this->layout->content = View::make('bookings::orders.index', $data);
    }
}
